org.apache.ode.daohib.bpel.hobj

## Class HPartnerLink

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HPartnerLink

-     public class HPartnerLink
      extends HObject

  The HEndpointReference can either be attached to a scope (when it's specific to a scope instance, for example because it has been assigned during the instance execution) or to a process definition (general endpoint configuration).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_PARTNER_LINK_IDS_BY_INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPartnerLink()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLinkName()`
    `java.util.Set<HMessageExchange>` | `getMessageExchanges()`
    `int` | `getModelId()`
    `byte[]` | `getMyEPR()`
    `java.lang.String` | `getMyRole()`
    `java.lang.String` | `getMySessionId()`
    `byte[]` | `getPartnerEPR()`
    `java.lang.String` | `getPartnerRole()`
    `java.lang.String` | `getPartnerSessionId()`
    `HProcess` | `getProcess()`
    `HScope` | `getScope()`
    `java.lang.String` | `getServiceName()`
    `void` | `setLinkName(java.lang.String linkName)`
    `void` | `setMessageExchanges(java.util.Set<HMessageExchange> mex)`
    `void` | `setModelId(int modelId)`
    `void` | `setMyEPR(byte[] myEPR)`
    `void` | `setMyRole(java.lang.String myrole)`
    `void` | `setMySessionId(java.lang.String sessionId)`
    `void` | `setPartnerEPR(byte[] partnerEPR)`
    `void` | `setPartnerRole(java.lang.String partnerRoleName)`
    `void` | `setPartnerSessionId(java.lang.String session)`
    `void` | `setProcess(HProcess process)`
    `void` | `setScope(HScope scope)`
    `void` | `setServiceName(java.lang.String svcName)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_PARTNER_LINK_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_PARTNER_LINK_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HPartnerLink

          public HPartnerLink()

  - ### Method Detail

    - #### getLinkName

          public java.lang.String getLinkName()

    - #### setLinkName

          public void setLinkName(java.lang.String linkName)

    - #### getPartnerRole

          public java.lang.String getPartnerRole()

    - #### setPartnerRole

          public void setPartnerRole(java.lang.String partnerRoleName)

    - #### getMyEPR

          public byte[] getMyEPR()

    - #### setMyEPR

          public void setMyEPR(byte[] myEPR)

    - #### getPartnerEPR

          public byte[] getPartnerEPR()

    - #### setPartnerEPR

          public void setPartnerEPR(byte[] partnerEPR)

    - #### getProcess

          public HProcess getProcess()

    - #### setProcess

          public void setProcess(HProcess process)

    - #### getScope

          public HScope getScope()

    - #### setScope

          public void setScope(HScope scope)

    - #### setServiceName

          public void setServiceName(java.lang.String svcName)

    - #### getServiceName

          public java.lang.String getServiceName()

    - #### getMyRole

          public java.lang.String getMyRole()

      Returns:

    - #### setMyRole

          public void setMyRole(java.lang.String myrole)

    - #### getModelId

          public int getModelId()

    - #### setModelId

          public void setModelId(int modelId)

    - #### getMySessionId

          public java.lang.String getMySessionId()

    - #### getPartnerSessionId

          public java.lang.String getPartnerSessionId()

    - #### setPartnerSessionId

          public void setPartnerSessionId(java.lang.String session)

    - #### setMySessionId

          public void setMySessionId(java.lang.String sessionId)

    - #### getMessageExchanges

          public java.util.Set<HMessageExchange> getMessageExchanges()

    - #### setMessageExchanges

          public void setMessageExchanges(java.util.Set<HMessageExchange> mex)